Subject: Re: wlcore: Fix regression in wlcore_set_partition()

From: Kalle Valo <[email-masked]>
Date: Tue, 16 Feb 2016 17:24:15 +0200

Ross Green <[email-masked]> writes:

> On Fri, Feb 12, 2016 at 8:45 PM, Kalle Valo <[email-masked]> wrote:
>>
>>> The commit 3719c17e1816 ("wlcore/wl18xx: fw logger over sdio") introduced a
>>> regression causing the wlcore to time out and go into recovery. Reverting the
>>> changes regarding write of the last partition size brings the module back to
>>> it's functional state.
>>>
>>> Fixes: 3719c17e1816 ("wlcore/wl18xx: fw logger over sdio")
>>> Reported-by: Ross Green <[email-masked]>
>>> Signed-off-by: Emil Goode <[email-masked]>
>>> [[email-masked]: improved commit log]
>>
>> Thanks, applied to wireless-drivers.git.
>>
>> Kalle Valo
>
> I just tested linux-4.5-rc4 it appears the above fix missed the release for rc4!
> So the behaviour of firmware reset being called after the access of
> the last partition timesout.
>
> Again tested patch with the new release - 4.5-rc4 and found everything
> to work as expected again.
>
> So Hopefully for rc5 - Please!

It takes some time to get patches into Linus' tree. And being in a
conference and then getting sick is not really helping. I'm not sure if
this patch makes to rc5 on time, but I'll try.

-- 
Kalle Valo